Bug 83521 - platform/graphics/skia/GlyphPageTreeNodeSkia.cpp mis-use 'continue' for 'break'
Summary: platform/graphics/skia/GlyphPageTreeNodeSkia.cpp mis-use 'continue' for 'break'
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-09 16:14 PDT by Xiaomei Ji
Modified: 2012-04-16 16:32 PDT (History)
2 users (show)

See Also:


Attachments
patch (1.27 KB, patch)
2012-04-11 10:28 PDT, Xiaomei Ji
no flags Details | Formatted Diff | Diff
patch (1.32 KB, patch)
2012-04-11 10:49 PDT, Xiaomei Ji
no flags Details | Formatted Diff | Diff
patch (1.31 KB, patch)
2012-04-11 23:51 PDT, Xiaomei Ji
levin: review+
Details | Formatted Diff | Diff
patch (1.63 KB, patch)
2012-04-16 14:02 PDT, Xiaomei Ji
levin: review+
Details | Formatted Diff | Diff
patch (1.60 KB, patch)
2012-04-16 15:26 PDT, Xiaomei Ji
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xiaomei Ji 2012-04-09 16:14:23 PDT
In function GlyphPage::fill(),
Line 103, "continue" should be changed to 'break".
Comment 1 Xiaomei Ji 2012-04-11 10:28:03 PDT
Created attachment 136692 [details]
patch
Comment 2 WebKit Review Bot 2012-04-11 10:30:55 PDT
Attachment 136692 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCor..." exit_code: 1
Source/WebCore/ChangeLog:1:  ChangeLog entry has no bug number  [changelog/bugnumber] [5]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Xiaomei Ji 2012-04-11 10:49:14 PDT
Created attachment 136699 [details]
patch
Comment 4 Xiaomei Ji 2012-04-11 23:51:38 PDT
Created attachment 136836 [details]
patch
Comment 5 Xiaomei Ji 2012-04-16 14:02:18 PDT
Created attachment 137397 [details]
patch
Comment 6 Xiaomei Ji 2012-04-16 15:26:48 PDT
Created attachment 137416 [details]
patch

sync and resolve conflict for ews and cq.
Comment 7 WebKit Review Bot 2012-04-16 16:32:32 PDT
Comment on attachment 137416 [details]
patch

Clearing flags on attachment: 137416

Committed r114316: <http://trac.webkit.org/changeset/114316>
Comment 8 WebKit Review Bot 2012-04-16 16:32:37 PDT
All reviewed patches have been landed.  Closing bug.